# Copyright 2010-2015  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import cliapp
import os
import shutil
import string
import time

import jtlib


class EditCommand(cliapp.Plugin):

    def enable(self):
        self.app.add_subcommand('edit', self.run, arg_synopsis='[DRAFT-ID]')

    def run(self, args):
        '''Edit a draft journal entry.'''

        if len(args) > 1:
            raise cliapp.AppException('Must be given at most one draft ID')
        drafts_dir = jtlib.DraftsDirectory(self.app.drafts_dir())
        _, pathname = self.app.choose_draft(drafts_dir, args)
        self.app.edit_file(pathname)
